09-03-17 11:41 PM
726 ... 2122232425 ...
tools
  1. dogusev's Avatar
    I've 0.31 patched and working on my passport, just dowloaded apk from apkmirror and patch with ps patcher. Don't understand what problems do you have?

    Posted via CB10
    08-04-16 03:42 AM
  2. Pallam93's Avatar
    No I can't it is Imposible without upgrade.

    I looking for a 31 pattched!!!! Any idea?
    Patch it yourself with PS patcher.


    When some andriod User have the same 10min bug, maybe there use also a patcher version?
    08-04-16 03:42 AM
  3. Smokeaire's Avatar
    Patch it yourself with PS patcher.


    When some andriod User have the same 10min bug, maybe there use also a patcher version?
    Why would Android phone users use a patched Android app? That was funny.
    Pallam93 likes this.
    08-04-16 04:44 AM
  4. CatchEmNow's Avatar
    Deleted and reinstalled Cobalt files, as well as PoGo.
    Other apps work fine, Play Store & Google Maps are working.
    Just in PoGo 0.31, the Google Login doesn't Progress at all.

    Is anyone else able to Login with Google?
    08-04-16 05:37 AM
  5. dogusev's Avatar
    Deleted and reinstalled Cobalt files, as well as PoGo.
    Other apps work fine, Play Store & Google Maps are working.
    Just in PoGo 0.31, the Google Login doesn't Progress at all.

    Is anyone else able to Login with Google?
    Google login works on my patched 0.31 version. Checked few hours ago

    Posted via CB10
    08-04-16 05:42 AM
  6. rafaelvlmendes's Avatar
    Unfortunately after 10 min Pokemon GO no work. Only return to work when the device is restarted. I patcher all right but no work.. Who know this problem?
    08-04-16 06:11 AM
  7. Xclbrican's Avatar
    Unfortunately after 10 min Pokemon GO no work. Only return to work when the device is restarted. I patcher all right but no work.. Who know this problem?
    Known issue with playing it on bb10. No way around it.

    Posted via CB10
    08-04-16 06:40 AM
  8. JordanDragonfly's Avatar
    Hello Friend, How do I patch the apk? There is a guide?
    08-04-16 08:46 AM
  9. Omolino's Avatar
    i don`t undestand about API key
    where i suppose that i have to put this api???

    1. Download pokemon go from MIROR
    2. Patchet with Cobalt Pached
    3 DON'T WORK at all snif snif....

    4 go gogle to have my api
    5 download apktool

    What i have to do with this ???

    Help!
    08-04-16 09:10 AM
  10. anacaroltoledo's Avatar
    Hi,

    I was able to install 0.29 version but it asks me to update to most currently version. I downloaded version 0.31 from APKMIRROR and Patched using PS Patcher 1.5 (I have Java version installed and created API keys using this links: Google Maps Android API: https://console.developers.google.com/apis/credentials and Google Maps Geolocation API: https://developers.google.com/maps/d...n/android-api/ ). APK was patched successfully and transfered to my Z10 bbut when I click in the file the install screen does not open and an error message appears "Not possible to install the program". I have checked the box to allow externals programs to be installed and I am able to install another apks but no Pokemon Go 0.31 version. Does any one can help me?
    estekwellek likes this.
    08-04-16 09:37 AM
  11. Omolino's Avatar
    more or less the same

    i found 1.5 ps patcher
    i found api keys box

    patch the app all seems ok but "not possible install the program"

    what is apktools for ????
    It's a .jar file but it seems to do nothing !


    Thanks
    08-04-16 09:47 AM
  12. anacaroltoledo's Avatar
    can you share your patched version? I have tried to patch apk that I've downloaded from apkmirror but when I try to install it gives an error. Not sure if I patched it incorrectly :'(
    08-04-16 09:50 AM
  13. drolo's Avatar
    Can someone explain how I can get the android api and maps api? I created a project, but I have no idea what to do from there. Alternatively if someone wants to pm me the latest pogo apk that would be great as well!
    08-04-16 09:56 AM
  14. anacaroltoledo's Avatar
    There is a key button generation after you create the project.. but mine 0.31 version patched did not worked

    Posted via CB10
    08-04-16 09:58 AM
  15. Nielsbb's Avatar
    Tried to patch it (ps patcher), keep getting the following error when recompiling "Error: Package cannot be recompiled." does someone have/know a solution for this?
    08-04-16 10:19 AM
  16. Dominique Derrier's Avatar
    could you please share your patched apk ?
    (I'm on OSX)
    08-04-16 10:55 AM
  17. Pallam93's Avatar
    Why would Android phone users use a patched Android app? That was funny.
    Holy ****, i was really tired. Had to laugh myself

    But i saw now, that some Andriof-User, and some IOS user have this problem to.
    Smokeaire likes this.
    08-04-16 11:49 AM
  18. JordanDragonfly's Avatar
    I was this close to throwing in the towel and buying a Priv, but I finally today got the 2 apps I wanted to work (Google Maps and Uber) on my passport. Fingers-crossed they keep working until the next update when I will have to patch again.

    First I want to give a lot of thanks to Cobalt for the programs and the other posters who are still posting to help people!

    However, for some of us who are less experienced / tech-savvy - this whole process can be very confusing. Especially now that this thread is over 100 pages and some of the things on Cobalt's first page are outdated.

    This thing really needs a step-by-step guide with like screenshots, or like a FAQ - because I kept seeing some of the same questions that I was having trouble with but maybe I would find the answer on page 118 or like page 74 or something.

    Anyway for those who are having trouble, I thought I would outline my steps for patching Google Maps and Uber (this all assumes you got Google Play Store already working) in the hopes that this would help some new people coming to this thread (like me) who are not so tech-savvy and honestly don't have time to read 50+ pages:

    1. If my app was asking for Google Play Services -> I just patched like regular (see steps below but ignore API and Decompile steps)

    2. If my app was showing blank maps -> it seems this is because it is using a Google Map API and you need to add your own API keys into the patched app (i.e. Uber)

    3. Some apps cannot work even after patching -> i.e. Snapchat

    Set up Patcher on my PC:
    - On your PC, go to Cobalt's file storage site and download i) the Patcher 1.4 and extract - it will create a PS_Patcher-1.4 folder with some files in it including the Gmaps 1.4 program, then ii) download the Patcher 1.5 beta exe and also copy this exe file into the extracted Patcher 1.4 folder
    - You may need to install Java on your PC, and then start the Patcher program and go to the "Paths" tab on the Patcher and make sure Java is showing linked correctly on the "Java.exe" box
    - For some of the Android apps that use Google Maps (like Uber) you will now need to add your own Google Map API keys when you are doing the rebuilding patch - this is done with the Patcher 1.5 beta.
    - First get your own API keys by going here - I got "Android API" and "Geolocation API" keys:
    Android API
    Geolocation API
    - Copy each of these API strings (my strings each had a space at the end so I copied that as well, not sure if it made a difference but the first set of APIs I copied without the ending spaces didn't make the patch work in my Blackberry) into the Patcher 1.5 application: start the Patcher 1.5, go to the "Google Maps" tab, paste in the Android API key and then the Geolocation API key into those boxes

    - You will also need to replace the "apktool" file for the Patcher with the latest version
    - Download the latest apktool file from here: [URL]https://ibotpeaches.github.io/Apktool/[URL]. Latest I had was v2.1.1.
    - Go to the Patcher folder on your PC -> then "lib" folder.
    - After downloading this apktool v2.1.1, I renamed it to "apktool", and then just copied to replace the existing "apktool" file already in the "lib" folder

    - Then I started up the Patcher 1.5 beta again, went to the "Options" tab, checked the "Decompile resources" box (so that it would use my own API keys for recompiling the uber app) and then clicked "Update Framework" button on the right - to use the new programs

    Then I got my apps on my Blackberry and transferred them to my PC:
    - Uninstalled any existing version of Uber on my Blackberry by going to the Google Play Store -> My Apps and uninstalling
    - Also checked with the "GhostCommander" app on my phone that the Uber app was properly removed from my phone
    - Go to the Play Store app on your Blackberry and download the Uber app. Do not install it, it will download to the "Downloads" folder
    - Go to "File Manager" on the Blackberry and then "Downloads" - you will see something like ubercab.apk
    - I moved the ubercab.apk file onto a micro-SD card on my Blackberry, then plugged the SD-card into my tablet and copied the ubercab.apk file into a separate folder on my PC

    Patching on PC:
    - Started Patcher 1.5 beta
    - Made sure my Google API keys were loaded on the "Google Maps" tab, and that "Decompile resources" was checked on the "Options" tab
    - The clicked "Browse" and linked to the ubercab.apk that I had just copied to my PC
    - Clicked "Analyze APK", it will decompile. Once Analysis is complete there should be option to "Continue"
    - Once it is all done there will be an ubercab-patched.apk file in an "output" folder in the Patcher folder
    - Copied this to my SD card

    Installing on Blackberry:
    - Move the patched uber apk file from my SD card to my Downloads folder on my Blackberry
    - Then tapped this uber apk file and it will boot up and install and was running correctly with full map showing

    For the Google Maps app itself
    - You do not need the API keys for this or to Decompile
    - I used the 1.4 Patcher for this using the same process as above and then put it on my Blackberry
    - Even after this it was STILL showing blank maps, but when I restarted my Blackberry and went back in to the Google Maps app it was working!
    I did all steps and worked, downloaded a version of PoGo 0.31 in my blackberry and patched it in computer browsing the file from the BB, then copy the file as write above.
    08-04-16 11:59 AM
  19. Omolino's Avatar
    And at last WORKS!!!!!!

    I did all that anacaraltoledo says, then MARK the box in optioions of the 1.5 patched that works with api and with this I can install the app

    Then can't register with Google, but I wait almost 30minutes and at last all work at the end!!!

    Many thanks to all
    08-04-16 12:11 PM
  20. Johnny Li's Avatar
    What does the geolocation api and the apktool things do? I skipped both and Pokemon Go seems to be running just fine...
    08-04-16 12:15 PM
  21. anacaroltoledo's Avatar
    And at last WORKS!!!!!!

    I did all that anacaraltoledo says, then MARK the box in optioions of the 1.5 patched that works with api and with this I can install the app

    Then can't register with Google, but I wait almost 30minutes and at last all work at the end!!!

    Many thanks to all
    It really worked? Yay for you! Hahaha but for me nothing yet :'( i was able now to install it once i marked the box (tks for that!!) but now have no image in the came.. did it happened same to you?

    Mine is like this:
    How do I get Pokemon Go to work on BlackBerry 10?-img_20160804_151325.png

    Posted via CB10
    08-04-16 01:15 PM
  22. Dominique Derrier's Avatar
    And at last WORKS!!!!!!

    I did all that anacaraltoledo says, then MARK the box in optioions of the 1.5 patched that works with api and with this I can install the app

    Then can't register with Google, but I wait almost 30minutes and at last all work at the end!!!

    Many thanks to all
    any chance to share you apk ?
    08-04-16 01:19 PM
  23. KRISHNA SHA's Avatar
    Yes share your APK.
    Uplaod it to Dropbox or mediafire.nd send the link here.

    If your app is working fine.

    Posted via CB10
    Dominique Derrier likes this.
    08-04-16 03:03 PM
  24. alouisious's Avatar
    Downloaded the 0.31 version from ihackedit, modded for android 4.0, then patched it with PS patcher. Works fine on passport, but still has the same issues as previous versions. No pokestops or gyms after a few minutes n still requires reboot. Oh well

    Posted via CB10
    08-04-16 04:59 PM
  25. gruv4u's Avatar
    It's a BB10. Switch to Priv or wait for DTEK 50.

     Z10 STL 100-3 with vitamin (SR) 10.3.2.2836 (OS version 10.3.2.2876) on AT&T
    08-04-16 05:09 PM
726 ... 2122232425 ...

Similar Threads

  1. Switching from OS7 to OS10: email organization, any help?
    By CrackBerry Question in forum BlackBerry 10 OS
    Replies: 22
    Last Post: 09-03-16, 12:09 AM
  2. BES 12 on Android - phone not receiving messages after lock screen
    By Roveer in forum BlackBerry Secure UEM & Productivity Suites
    Replies: 9
    Last Post: 07-17-16, 09:48 PM
  3. BlackBerry won't rule out another BlackBerry 10 phone
    By Erik_1991 in forum BlackBerry 10 OS
    Replies: 7
    Last Post: 07-11-16, 07:38 PM
  4. Pokemon Go?
    By MrMooshroom in forum More for your BlackBerry 10 Phone!
    Replies: 3
    Last Post: 07-11-16, 05:50 PM
  5. Bloomberg: BlackBerry Wont Rule Out New Phone Running on its BB10 System
    By Sairos in forum General BlackBerry News, Discussion & Rumors
    Replies: 1
    Last Post: 07-11-16, 04:41 PM
LINK TO POST COPIED TO CLIPBOARD